
Foreman - Bug #406

wrong report icon

10/15/2010 02:04 PM - Mohamed Lrhazi

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

using foreman-0.1.6-rc1

A report that includes modifications is displayed with the wrong icon /images/true.png

Please see attached screenshots

Related issues:

Related to Foreman - Bug #394: Reports do not  work - total time is no longer... Closed 10/01/2010

Has duplicate Foreman - Bug #405: Foreman cannot process 2.6.2 reports Closed 10/13/2010

History

#1 - 10/15/2010 08:05 PM - Ohad Levy

the error should be logged, can you paste there relevant output from your foreman log?

thanks

#2 - 10/15/2010 08:38 PM - Mohamed Lrhazi

- File production.log added

Ohad Levy wrote:

the error should be logged, can you paste there relevant output from your foreman log?

 There were no logs at all in production.log

I edited /usr/share/foreman/config/environments/production.rb

an set: config.log_level = :debug

run: sudo /etc/init.d/httpd reload

then logged out, then back in, then clicked Reports.

NO errors showed up. I am attaching the resulting log file.

Thanks.

#3 - 10/16/2010 06:47 AM - Ohad Levy

Mohamed Lrhazi wrote:

Ohad Levy wrote:

the error should be logged, can you paste there relevant output from your foreman log?

 There were no logs at all in production.log

I edited /usr/share/foreman/config/environments/production.rb

an set: config.log_level = :debug

run: sudo /etc/init.d/httpd reload

then logged out, then back in, then clicked Reports.

NO errors showed up. I am attaching the resulting log file.
Thanks.

 sorry, the error should be written when the report is sent to foreman (e.g. when you run your client)

#4 - 10/16/2010 08:47 PM - Mohamed Lrhazi

Ohad Levy wrote:

sorry, the error should be written when the report is sent to foreman (e.g. when you run your client)

 I deleted the file under puppet control from the client, rerun puppet, and I did not see an error per say. All I saw was this:

Processing ReportsController#create to yml (for X.Y.245.109 at 2010-10-16 15:40:05) [POST]

Parameters: {"format"=>"yml", "action"=>"create", "controller"=>"reports", "report"=>"[FILTERED]"}

processing report for chapeau.uis.dom.ain

Host Load (0.2ms)   SELECT * FROM `hosts` WHERE (`hosts`.`name` = 'chapeau.uis.dom.ain') LIMIT 1

Host Update (2.5ms)   UPDATE `hosts` SET `last_report` = '2010-10-16 19:40:03', `updated_at` = '2010-10-16 19:40:05' WHERE `id` = 1

SQL (0.0ms)   BEGIN

Report Load (0.2ms)   SELECT `reports`.id FROM `reports` WHERE (`reports`.`reported_at` = '2010-10-16 19:40:03' AND `reports`.host_id = 1)

LIMIT 1

Report Create (0.3ms)   INSERT INTO `reports` (`status`, `updated_at`, `log`, `host_id`, `reported_at`, `created_at`) VALUES

SQL (1.1ms)   COMMIT

Completed in 26ms (View: 0, DB: 21) | 200 OK [https://puppet.uis.dom.ain/reports/create?format=yml]

#5 - 10/17/2010 06:48 AM - Ohad Levy

- File deleted (production.log)

#6 - 10/18/2010 10:58 AM - Ohad Levy

- Status changed from New to Duplicate

#7 - 10/18/2010 06:41 PM - Mohamed Lrhazi

What is this a duplicate of?

Thanks a lot.

#8 - 10/18/2010 06:41 PM - Mohamed Lrhazi

Mohamed Lrhazi wrote:

What is this a duplicate of?

Thanks a lot.

 Please ignore. I just saw it.

Files

forman-report-icon-bug-1 34.4 KB 10/15/2010 Mohamed Lrhazi

foreman-report-icon-bug-2 33.9 KB 10/15/2010 Mohamed Lrhazi
